RESTinio

Classes | Namespaces | Typedefs | Functions
tls.hpp File Reference
`#include <restinio/traits.hpp>`
`#include <restinio/impl/tls_socket.hpp>`

Go to the source code of this file.

## Classes
class | restinio::connection_state::tls_accessor_t
| Accessor to TLS-specific information related to a connection. More...
class | restinio::socket_type_dependent_settings_t< Settings, tls_socket_t >
| Customizes extra settings needed for working with socket. More...
class | restinio::impl::socket_supplier_t< tls_socket_t >
| A custom socket storage for tls_socket_t. More...

## Namespaces
namespace | restinio
namespace | restinio::connection_state
namespace | restinio::impl

## Typedefs
template<typename Timer_Factory , typename Logger , typename Request_Handler = default_request_handler_t, typename Strand = asio_ns::strand< default_asio_executor >>
using | restinio::tls_traits_t = traits_t< Timer_Factory, Logger, Request_Handler, Strand, tls_socket_t >
template<typename Timer_Factory , typename Logger , typename Request_Handler = default_request_handler_t>
using | restinio::single_thread_tls_traits_t = tls_traits_t< Timer_Factory, Logger, Request_Handler, noop_strand_t >
using | restinio::default_tls_traits_t = tls_traits_t< asio_timer_manager_t, null_logger_t >

## Functions
template<typename Connection , typename Start_Read_CB , typename Failed_CB >
void | restinio::prepare_connection_and_start_read (tls_socket_t &socket, Connection &con, Start_Read_CB start_read_cb, Failed_CB failed_cb)
| Customizes connection init routine with an additional step: perform handshake and only then start reading. More...
tls_socket_t * | restinio::impl::make_tls_socket_pointer_for_state_listener (tls_socket_t &socket) noexcept